Search Gradle plugins

Version 1.1.5-dev01-b94cb59

1.1.5-dev01-b94cb59

Created 02 A 2023.

A Gradle plugin that forces semantic versioning and relies on git to detect the project state

Using the plugins DSL:

plugins {
  id("org.danilopianini.git-sensitive-semantic-versioning-gradle-plugin") version "1.1.5-dev01-b94cb59"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("org.danilopianini:git-sensitive-semantic-versioning-gradle-plugin:1.1.5-dev01-b94cb59")
  }
}

apply(plugin = "org.danilopianini.git-sensitive-semantic-versioning-gradle-plugin")

Using the plugins DSL:

plugins {
  id "org.danilopianini.git-sensitive-semantic-versioning-gradle-plugin" version "1.1.5-dev01-b94cb59"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "org.danilopianini:git-sensitive-semantic-versioning-gradle-plugin:1.1.5-dev01-b94cb59"
  }
}

apply plugin: "org.danilopianini.git-sensitive-semantic-versioning-gradle-plugin"

Learn how to apply plugins to subprojects